/*
  slam3 (c) 2006 Kris Beevers

  This file is part of slam3.

  slam3 is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  slam3 is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
  License for more details.

  You should have received a copy of the GNU General Public License
  along with slam3; if not, write to the Free Software Foundation,
  Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/

#ifndef _NEFF_HPP
#define _NEFF_HPP

// compute effective sample size = 1/sum(w_i^2)

// if param::neff_log is a valid file, write the estimated
// distribution to it for use in examining consistency

template <class Particle>
double neff(const std::vector<Particle> &particles)
{
  double n = 0;
  for(uint32_t i = 0; i < particles.size(); ++i)
    n += particles[i].w * particles[i].w;
  n = 1/n;

  if(param::neff_log)
    fprintf(param::neff_log, "%g\n", n);

  return n;
}

#endif // _NEFF_HPP
