function makeresults
M=50;
NEES_MAX=40;
RATIO_MAX=5;
MSE_MAX=5;
dir='../results/sim-5/';
truth=[dir 'input/sim-truth.phist'];

% random resampling
[Eran,Mran,nuran,Neffran,hvran,Uran] = get_all_stats([dir 'fs2-ran/mc-'],M,truth);

% generalized resampling with alpha=[0.5,0.2,0.8]
[Eg5,Mg5,nug5,Neffg5,hvg5,Ug5] = get_all_stats([dir 'fs2-gen-a0.5/mc-'],M,truth);
[Eg2,Mg2,nug2,Neffg2,hvg2,Ug2] = get_all_stats([dir 'fs2-gen-a0.2/mc-'],M,truth);
[Eg8,Mg8,nug8,Neffg8,hvg8,Ug8] = get_all_stats([dir 'fs2-gen-a0.8/mc-'],M,truth);

% residual resampling
[Eres,Mres,nures,Neffres,hvres,Ures] = get_all_stats([dir 'fs2-res/mc-'],M,truth);

% fixed-lag roughening with l=[1,5,10,20] and random resampling
[Erough1,Mrough1,nurough1,Neffrough1,hvrough1,Urough1] = get_all_stats([dir 'rough-ran-l1/mc-'],M,truth);
[Erough5,Mrough5,nurough5,Neffrough5,hvrough5,Urough5] = get_all_stats([dir 'rough-ran-l5/mc-'],M,truth);
[Erough10,Mrough10,nurough10,Neffrough10,hvrough10,Urough10] = get_all_stats([dir 'rough-ran-l10/mc-'],M,truth);
%[Erough20,Mrough20,nurough20,Neffrough20,hvrough20,Urough20] = get_all_stats([dir 'rough-ran-l20/mc-'],M,truth);

% block sisr with l=[1,5,10,20] and random resampling
[Eb1,Mb1,nub1,Neffb1,hvb1,Ub1] = get_all_stats([dir 'block-ran-l1/mc-'],M,truth);
[Eb5,Mb5,nub5,Neffb5,hvb5,Ub5] = get_all_stats([dir 'block-ran-l5/mc-'],M,truth);
[Eb10,Mb10,nub10,Neffb10,hvb10,Ub10] = get_all_stats([dir 'block-ran-l10/mc-'],M,truth);
%[Eb20,Mb20,nub20,Neffb20,hvb20,Ub20] = get_all_stats([dir 'block-ran-l20/mc-'],M,truth);


% plot NEES
plot(Eran,'b'), hold on
%plot(Eg5, 'r'), hold on
%plot(Eg2, 'g'), hold on
%plot(Eg8, 'm'), hold on
%plot(Eres,'y'), hold on
plot(Erough1,'g'), hold on
plot(Erough5, 'm'), hold on
plot(Erough10, 'c'), hold on
%plot(Erough20, 'k'), hold on
plot(Eb1, 'r'), hold on
plot(Eb5, 'y'), hold on
plot(Eb10, 'k'), hold on
%plot(Eb20, 'c'), hold on
axis([1 length(Eran) 0 NEES_MAX])
%axes('PlotBoxAspectRatio',[6 1 1])
xlabel('Time (steps)')
ylabel('NEES')
legend('ran','rough-1','rough-5','rough-10','block-1','block-5','block-10',2)


% plot ratio of random resampling NEES to that of other types
figure
%plot(Eg5./Eran, 'r'), hold on
%plot(Eg2./Eran, 'g'), hold on
%plot(Eg8./Eran, 'm'), hold on
%plot(Eres./Eres,'y'), hold on
plot(Erough1./Eran, 'g'), hold on
plot(Erough5./Eran, 'm'), hold on
plot(Erough10./Eran, 'c'), hold on
%plot(Erough20./Eran, 'k'), hold on
plot(Eb1./Eran, 'r'), hold on
plot(Eb5./Eran, 'y'), hold on
plot(Eb10./Eran, 'k'), hold on
%plot(Eb20./Eran, 'c'), hold on
%axis([1 length(Eran) 0 RATIO_MAX])
xlabel('Time (steps)')
ylabel('E / E_{ran}')
legend('rough-1','rough-5','rough-10','block-1','block-5','block-10',2)
plot(1:length(Eran),1,'k:')


% plot Neff
figure
plot(Neffran,'b'), hold on
%plot(Neffg5, 'r'), hold on
%plot(Neffg2, 'g'), hold on
%plot(Neffg8, 'm'), hold on
%plot(Neffres,'y'), hold on
plot(Neffrough1, 'g'), hold on
plot(Neffrough5, 'm'), hold on
plot(Neffrough10, 'c'), hold on
%plot(Neffrough20, 'k'), hold on
plot(Neffb1, 'r'), hold on
plot(Neffb5, 'y'), hold on
plot(Neffb10, 'k'), hold on
%plot(Neffb20, 'c'), hold on
xlabel('Time (steps)')
ylabel('Neff')
legend('ran','rough-1','rough-5','rough-10','block-1','block-5','block-10',2)


% plot MSE
figure
plot(Mran,'b'), hold on
%plot(Mg5, 'r'), hold on
%plot(Mg2, 'g'), hold on
%plot(Mg8, 'm'), hold on
%plot(Mres,'y'), hold on
plot(Mrough1, 'g'), hold on
plot(Mrough5, 'm'), hold on
plot(Mrough10, 'c'), hold on
%plot(Mrough20, 'k'), hold on
plot(Mb1, 'r'), hold on
plot(Mb5, 'y'), hold on
plot(Mb10, 'k'), hold on
%plot(Mb20, 'c'), hold on
%axis([1 length(Eran) 0 MSE_MAX])
xlabel('Time (steps)')
ylabel('MSE')
legend('ran','rough-1','rough-5','rough-10','block-1','block-5','block-10',2)


% plot variance histories
figure
plot(hvran,'b'), hold on
%plot(hvg5, 'r'), hold on
%plot(hvg2, 'g'), hold on
%plot(hvg8, 'm'), hold on
%plot(hvres,'y'), hold on
plot(hvrough1, 'g'), hold on
plot(hvrough5, 'm'), hold on
plot(hvrough10, 'c'), hold on
%plot(hvrough20, 'k'), hold on
plot(hvb1, 'r'), hold on
plot(hvb5, 'y'), hold on
plot(hvb10, 'k'), hold on
%plot(hvb20, 'c'), hold on
%axis([1 length(Eran) 0 MSE_MAX])
xlabel('Time (steps)')
ylabel('var(x^r_{1:t}|z_{1:t})')
legend('ran','rough-1','rough-5','rough-10','block-1','block-5','block-10',2)


% plot unique samples
figure
plot(Uran,'b'), hold on
%plot(Ug5, 'r'), hold on
%plot(Ug2, 'g'), hold on
%plot(Ug8, 'm'), hold on
%plot(Ures,'y'), hold on
plot(Urough1, 'g'), hold on
plot(Urough5, 'm'), hold on
plot(Urough10, 'c'), hold on
%plot(Urough20, 'k'), hold on
plot(Ub1, 'r'), hold on
plot(Ub5, 'y'), hold on
plot(Ub10, 'k'), hold on
%plot(Ub20, 'c'), hold on
xlabel('Time (steps)')
ylabel('Unique samples')
legend('ran','rough-1','rough-5','rough-10','block-1','block-5','block-10',2)



function [E,mse,nu,Neff,hv,U] = get_all_stats(prefix,M,truth)
[E,mse,nu]=meannees(prefix,M,truth);
for i=1:length(E)
    if(E(i) < 0)  % happens for degenerate covariance matrices
        E(i)=inf;
    end
end
Neff=meanneff(prefix,M);
hv=meanhistoryvar(prefix,M);
U=meanunique(prefix,M);