function [e,m,nu] = nees(ph, gt)

%warning off MATLAB:singularMatrix
warning off all

if(~isnumeric(ph))
    ph = dlmread(ph, ' ', 0, 0); % read full pose history
end
if(~isnumeric(gt))
    gt = dlmread(gt, ' ', 0, 0); % read ground truth
end
minlen=min(size(ph,1),size(gt,1));
gt=gt(1:minlen,:);
ph=ph(1:minlen,:);

gt(:,3) = gt(:,3)*pi/180; % FIXME change the code so we don't have to do this
ph(:,3) = ph(:,3)*pi/180;

nu = gt(:,1:3) - ph(:,1:3);
nu(:,3) = pi_to_pi(nu(:,3));
for i=1:size(ph,1)
    if(isnan(nu(i,1)) | isnan(nu(i,2))) % no ground truth available at this time
        e(i) = 0;
    elseif(isnan(nu(i,3))) % gps ground truth doesn't encode orientation
        e(i) = nu(i,1:2)*inv([ph(i,4:5);ph(i,7:8)])*nu(i,1:2)';
    else
        e(i) = nu(i,1:3) * inv([ph(i,4:6);ph(i,7:9);ph(i,10:12)]) * nu(i,1:3)';
    end
    if(e(i)<0 | isnan(e(i))) e(i)=inf; end
    m(i) = norm(nu(i,1:3));
end
