
% plots number of particles assigned to a different cluster than the one
% assigned with the maximum number of chunks, for different chunk sizes.
% this basically shows that there's not much benefit to using a lot of
% chunks vs. just a few --- sort of a "poor man's" dimensionality reduction
% technique.

function plot_cluster_diff(file, N)
d=load(file);
for i=1:size(d,2)
    u(i)=mean(d(:,i));
    s(i)=std(d(:,i));
end
u=reverse(u);
s=reverse(s);

%plot(u,'b'), hold on, plot(u+s,'r--')
%niceplot(u,[1 length(s)], [0 N])

figure
area(u,'EdgeColor','k','FaceColor',[0.7 0.7 0.7]), hold on
axis([1 length(u) 0 N])
set(gca,'ytick',[0 N])
set(gca,'xtick',[1 length(u)])
xlabel('Chunks used in clustering')
%set(gca,'xtick',[])
pbaspect([4 1 1])
